perl sip_scenario.pl -Iethereal_trace_debug.bat
rem or sip_scenario.exe -Iethereal_trace_debug.bat
exit
#file: ethereal_trace_debug.bat
#from Cmd Window: cmd /c ethereal_trace_debug.bat
##################################################################################################
# This file demonstrates the following:
#	* a generalize setup for debugging scenario traces. 
#	* generate a gap of 5 lines when this is more than 2 seconds gap between traced messages.
#		makes it easier to find message in larges scenarios
#	* display delta time stamps and wall clock date/time stamps to make it easier to find message 
#		and debug problems.


# rememebr that the file sip_scenario.ini is automatically included by sip_scenario.pl the next line is just a reminder
#-Isip_scenario.ini	 		# file that contains user preferences. It is commented out because it has been already executed.

## start of include file here
ethereal_trace.dump	 		# input file
-oethereal_trace_debug.html 		# output file
-tDEBUG - Attended Transfer 		# set title
-gap:35					# set gapwidth between lines
-format:s:2/5				# enable insertions of 5 extra spaces if time between two traces is greater than 2 seconds
-format:time:13				# display delta time, time of day and date Time stamp
-format:vertical:1
end-of-file				# terminate include file here
################################################################################################################

The SIP Scenario Generator Software License, Version 1.1

Copyright (c) 2003 IPC Information Systems Inc.  All rights reserved.

Redistribution and use in source and binary forms, with or without modification, 
are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, 
this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, 
this list of conditions and the following disclaimer in the documentation 
and/or other materials provided with the distribution.

3. The end-user documentation included with the redistribution, 
if any, must include the following acknowledgment:

"This product includes software developed by 
IPC Information Systems Inc (http://www.ipc.com/)."

Alternately, this acknowledgment may appear in the software itself, 
if and wherever such third-party acknowledgments normally appear.

4. The names "SIP Scenario Generator" and "IPC Information Systems Inc" 
must not be used to endorse or promote products derived from this software 
without prior written permission. For written permission, please contact 
the legal department at IPC Information Systems Inc.

5. Products derived from this software may not be called "SIP Scenario Generator", 
nor may "SIP Scenario Generator" appear in their name, without prior written 
permission of IPC Information Systems Inc.

THIS SOFTWARE IS PROVIDED ``AS IS`` AND ANY EXPRESSED OR IMPLIED WARRANTIES, 
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL 
IPC INFORMATION SYSTEMS INC OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE 
OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF 
ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

This software consists of voluntary contributions made by 
Ray Elliott of IPC information System Inc. e-mail:ray.elliott@ipc.com
please see <http://www.ipc.com/>.

################################################################################################################

